/**
 * 游客登录请求
 * 
 */
import { z } from "zod";

import { booleanOrFalse } from "../nullable-defaults";

export const GuestLoginRequestSchema = z.object({
  deviceId: z.string(),
  isTestAccount: booleanOrFalse,
});

export type GuestLoginRequestInput = z.input<typeof GuestLoginRequestSchema>;
export type GuestLoginRequestData = z.output<typeof GuestLoginRequestSchema>;
